Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jedi.parser
Class ASTNestedClassDeclaration

    java.lang.Object
      |
      +--jedi.parser.SimpleNode
            |
            +--jedi.parser.ASTNestedClassDeclaration

All Implemented Interfaces:
  Node

public class ASTNestedClassDeclaration
extends SimpleNode

Fields inherited from class jedi.parser.SimpleNode
`children, first_token, id, last_token, parent, parser`

Constructor Summary
`ASTNestedClassDeclaration(int id)`
`ASTNestedClassDeclaration(JavaParser p, int id)`

Method Summary
`java.util.Vector` | `getConstructors()`
`java.lang.String` | `getExtends()`
`java.lang.String` | `getImplements()`
`java.util.Vector` | `getInitializers()`
`java.util.Vector` | `getInnerClasses()`
`java.util.Vector` | `getMethods()`
`java.lang.String` | `getName()`
`java.util.Vector` | `getVariables()`
`boolean` | `isAbstract()`
`boolean` | `isFinal()`
`boolean` | `isPrivate()`
`boolean` | `isProtected()`
`boolean` | `isPublic()`
`boolean` | `isStatic()`
`void` | `setAbstract(boolean b)`
`void` | `setFinal(boolean b)`
`void` | `setPrivate(boolean b)`
`void` | `setProtected(boolean b)`
`void` | `setPublic(boolean b)`
`void` | `setStatic(boolean b)`

Methods inherited from class jedi.parser.SimpleNode
`dump, getJavaDoc, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASTNestedClassDeclaration

    public ASTNestedClassDeclaration(int id)

### ASTNestedClassDeclaration

    public ASTNestedClassDeclaration(JavaParser p,
                                     int id)

Method Detail

### getConstructors

    public java.util.Vector getConstructors()

### getExtends

    public java.lang.String getExtends()

### getImplements

    public java.lang.String getImplements()

### getInitializers

    public java.util.Vector getInitializers()

### getInnerClasses

    public java.util.Vector getInnerClasses()

### getMethods

    public java.util.Vector getMethods()

### getName

    public java.lang.String getName()

### getVariables

    public java.util.Vector getVariables()

### isAbstract

    public boolean isAbstract()

### isFinal

    public boolean isFinal()

### isPrivate

    public boolean isPrivate()

### isProtected

    public boolean isProtected()

### isPublic

    public boolean isPublic()

### isStatic

    public boolean isStatic()

### setAbstract

    public void setAbstract(boolean b)

### setFinal

    public void setFinal(boolean b)

### setPrivate

    public void setPrivate(boolean b)

### setProtected

    public void setProtected(boolean b)

### setPublic

    public void setPublic(boolean b)

### setStatic

    public void setStatic(boolean b)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD